com.hazelcast.instance

## Class EndpointQualifier

- java.lang.Object
- - com.hazelcast.instance.EndpointQualifier

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

      public final class EndpointQualifier
      extends Object
      implements IdentifiedDataSerializable

  An `EndpointQualifier` is a `(ProtocolType, String)` tuple that uniquely identifies groups of network connections sharing a common `ProtocolType` and the same network settings, when Hazelcast is configured with `AdvancedNetworkConfig` enabled.

  In some cases, just the `ProtocolType` is enough (eg since there can be only a single `MEMBER` server socket, there can be only one instance of `ServerSocketEndpointConfig` network configuration for `MEMBER` connections).

  When just the `ProtocolType` is not enough (for example when configuring outgoing WAN connections to 2 different target clusters), a `String identifier` is used to uniquely identify the network configuration.
  Since:
    3.12
  See Also:
    `AdvancedNetworkConfig`, `EndpointConfig`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EndpointQualifier` | `CLIENT`
    `static EndpointQualifier` | `MEMBER`
    `static EndpointQualifier` | `MEMCACHE`
    `static EndpointQualifier` | `REST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointQualifier()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Returns type identifier for this class.
    `String` | `getIdentifier()`
    `ProtocolType` | `getType()`
    `int` | `hashCode()`
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `static EndpointQualifier` | `resolve(ProtocolType protocolType, String name)`
    `String` | `toMetricsPrefixString()`
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MEMBER

          public static final EndpointQualifier MEMBER

    - #### CLIENT

          public static final EndpointQualifier CLIENT

    - #### REST

          public static final EndpointQualifier REST

    - #### MEMCACHE

          public static final EndpointQualifier MEMCACHE

  - ### Constructor Detail

    - #### EndpointQualifier

          public EndpointQualifier()

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

    - #### getType

          public ProtocolType getType()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toMetricsPrefixString

          public String toMetricsPrefixString()

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### resolve

          public static EndpointQualifier resolve(ProtocolType protocolType,
                                                  String name)

Copyright © 2019. All rights reserved.